# Class VORegResource

java.lang.Object
uk.ac.starlink.vo.VORegResource

All Implemented Interfaces:
  `RegResource`

public class VORegResource extends Object implements RegResource
RegResource implementation based on a `VOResource` object.

Since:
  17 Dec 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`VORegResource(VOResource resource)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`RegCapabilityInterface[]`
`getCapabilities()`
Returns an array of capability interfaces for this resource.
`String`
`getContact()`
Returns the contact information for this resource.
`String`
`getIdentifier()`
Returns the resource unique identifier.
`String`
`getPublisher()`
Returns the resource publisher.
`String`
`getReferenceUrl()`
Returns the reference URL for this resource.
`String`
`getShortName()`
Returns the resource short name.
`String[]`
`getSubjects()`
Returns a list of subject areas relevant to this resource.
`String`
`getTitle()`
Returns the resource title.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VORegResource

public VORegResource(VOResource resource)
Constructor.

Parameters:
  `resource` - resource object

## Method Details

### getShortName

public String getShortName()
Description copied from interface: `RegResource`
Returns the resource short name.

Specified by:
  `getShortName` in interface `RegResource`
Returns:
  short name

### getTitle

public String getTitle()
Description copied from interface: `RegResource`
Returns the resource title.

Specified by:
  `getTitle` in interface `RegResource`
Returns:
  title

### getIdentifier

public String getIdentifier()
Description copied from interface: `RegResource`
Returns the resource unique identifier. This is a URI of the form `ivo://authority/path`.

Specified by:
  `getIdentifier` in interface `RegResource`
Returns:
  identifier

### getPublisher

public String getPublisher()
Description copied from interface: `RegResource`
Returns the resource publisher.

Specified by:
  `getPublisher` in interface `RegResource`
Returns:
  publisher

### getContact

public String getContact()
Description copied from interface: `RegResource`
Returns the contact information for this resource.

Specified by:
  `getContact` in interface `RegResource`
Returns:
  contact info

### getSubjects

public String[] getSubjects()
Description copied from interface: `RegResource`
Returns a list of subject areas relevant to this resource.

Specified by:
  `getSubjects` in interface `RegResource`
Returns:
  subject words

### getReferenceUrl

public String getReferenceUrl()
Description copied from interface: `RegResource`
Returns the reference URL for this resource.

Specified by:
  `getReferenceUrl` in interface `RegResource`
Returns:
  reference URL

### getCapabilities

public RegCapabilityInterface[] getCapabilities()
Description copied from interface: `RegResource`
Returns an array of capability interfaces for this resource. Very often there is only one (or zero) of these per resource, but there can be many.

Specified by:
  `getCapabilities` in interface `RegResource`
Returns:
  capabilities